<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE migration SYSTEM "migration_1_0.dtd">
<migration>
  <databank>
  <source
  url="amRiYzpteXNxbDovL2xvY2FsaG9zdDozMzA2L2xvY2FsP3VzZVVuaWNvZGU9dHJ1ZSZhbXA7Y2hhcmFjdGVyRW5jb2Rpbmc9R0JL"
  driver="org.gjt.mm.mysql.Driver" user="bmV0Y2FmZQ==" password="cHVid2lu" />
  <target
  url="amRiYzptaWNyb3NvZnQ6c3Fsc2VydmVyOi8vbG9jYWxob3N0OjE0MzM7ZGF0YWJhc2VuYW1lPWxvY2FsO1NlbGVjdE1ldGhvZD1jdXJzb3I="
  driver="com.microsoft.jdbc.sqlserver.SQLServerDriver" user="bmV0Y2FmZQ==" password="cHVid2lu" />
  </databank>
  <functions>
    <!-- simple function declaration -->
    <!--
    <function name="countrows"
    sql="select count(*) from mytest where id > 0" />
    -->
    <!--
    function using values of the current record.
    To reference values of the current record we use ${current.FIELD_NAME}
    -->

    <!--
    <function name="count_greater_rows"
    sql="select count(*) from source_table where id > ${current.id}" />
    -->
  </functions>

  <steps>
  <!--
  a step is the copy of data from a table to another
  we can have as many as we want

  if "clear_target" is true, all data from target table will be lost
  before the copy starts. Default value: false.

  "output" can take values: "db", "file", "both".
  If file or both, a file with name STEP_NAME.sql will be created will all
  insert senteces. Default value: db.

  "sliced" says if the table should be migrated in little steps (true) or
  all at once (false). "slice_size" and "slice_key" configurates the slices.
  -->

  <step name="cfg_adminaccount" source_table="cfg_adminaccount" target_table="cfg_adminaccount" clear_target="true" output="file">
    <field from="AdminAccountID" to="AdminAccountID" type="int" value="" />
    <field from="UserName" to="UserName" type="string" value="" />
    <field from="RealName" to="RealName" type="string" value="" />
    <field from="Password" to="Password" type="string" value="" />
    <field from="SetupTm" to="SetupTm" type="long" value="0" />

    <field from="UpdateTm" to="UpdateTm" type="long" value="0" />
    <field from="Email" to="Email" type="string" value="" />
    <field from="Valid" to="Valid" type="int" value="" />
    <field from="Tel" to="Tel" type="string" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="Reserve2" to="Reserve2" type="int" value="" />
  </step>

  <step name="cfg_adminrole" source_table="cfg_adminrole" target_table="cfg_adminrole" clear_target="true" output="file">
    <field from="RoleID" to="RoleID" type="int" value="" />
    <field from="AdminAccountID" to="AdminAccountID" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="cfg_objectresource" source_table="cfg_objectresource" target_table="cfg_objectresource"   clear_target="true" output="file">
    <field from="ObjectID" to="ObjectID" type="int" value="" />
    <field from="Url" to="Url" type="string" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="PermissionID" to="PermissionID" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="Reserve2" to="Reserve2" type="string" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="cfg_permissionitem"  source_table="cfg_permissionitem" target_table="cfg_permissionitem"   clear_target="true" output="file">
    <field from="PermissionID" to="PermissionID" type="int" value="" />
    <field from="PermissionName" to="PermissionName" type="string" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="ModuleID" to="ModuleID" type="string" value="" />
    <field from="ModuleName" to="ModuleName" type="string" value="" />

    <field from="PermissionType" to="PermissionType" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>

  <step name="cfg_relativepermission"  source_table="cfg_relativepermission"   target_table="cfg_relativepermission" clear_target="true"  output="file">
    <field from="RelativePermissionID" to="RelativePermissionID" type="int" value="" />
    <field from="PermissionID" to="PermissionID" type="int" value="" />
    <field from="RelativeType" to="RELATIVETYPE" type="int" value="" />
    <field from="RelPermissionID" to="RelPermissionID" type="int" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
  </step>

  <step name="cfg_role" source_table="cfg_role"  target_table="cfg_role" clear_target="true" output="file">
    <field from="RoleID" to="RoleID" type="int" value="" />
    <field from="RoleName" to="RoleName" type="string" value="" />
    <field from="SetupTm" to="SetupTm" type="long" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="RoleType" to="RoleType" type="int" value="" />

    <field from="Remark" to="Remark" type="string" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
  </step>

  <step name="cfg_rolepermission"  source_table="cfg_rolepermission" target_table="cfg_rolepermission"  clear_target="true" output="file">
    <field from="PermissionID" to="PermissionID" type="int" value="" />
    <field from="RoleID" to="RoleID" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>

  <step name="configitem" source_table="configitem"  target_table="configitem" clear_target="true" output="file">
    <field from="CfgName" to="CfgName" type="string" value="" />
    <field from="ID" to="ID" type="int" value="" />
    <field from="Content" to="Content" type="blob" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />

    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>

  <step name="cur_usehistory" source_table="cur_usehistory"  target_table="cur_usehistory" clear_target="true" output="file">
    <field from="ID" to="ID" type="int" value="" />
    <field from="Level" to="Level" type="string" value="" />
    <field from="BeginTm" to="BeginTm" type="long" value="" />
    <field from="EndTm" to="EndTm" type="long" value="" />
    <field from="ClientID" to="ClientID" type="string" value="" />

    <field from="ClientType" to="ClientType" type="string" value="" />
    <field from="IPAddr" to="IPAddr" type="string" value="" />
    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="IsCurrent" to="IsCurrent" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="ClientMode" to="ClientMode" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>

  <step name="cur_user" source_table="cur_user"  target_table="cur_user" clear_target="true" output="file">
    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="GroupName" to="GroupName" type="string" value="" />
    <field from="RealName" to="RealName" type="string" value="" />
    <field from="Level" to="Level" type="string" value="" />
    <field from="NickName" to="NickName" type="string" value="" />

    <field from="ClientType" to="ClientType" type="string" value="" />
    <field from="Score" to="Score" type="string" value="" />
    <field from="ResourceID" to="ResourceID" type="int" value="" />
    <field from="Location" to="Location" type="string" value="" />
    <field from="CertificateID" to="CertificateID" type="string" value="" />

    <field from="Sex" to="Sex" type="int" value="" />
    <field from="Birthday" to="Birthday" type="long" value="" />
    <field from="Company" to="Company" type="string" value="" />
    <field from="Country" to="Country" type="string" value="" />
    <field from="Password" to="Password" type="string" value="" />

    <field from="ValidTm" to="ValidTm" type="long" value="" />
    <field from="OpenTm" to="OpenTm" type="long" value="" />
    <field from="BarName" to="BarName" type="string" value="" />
    <field from="BarResourceID" to="BarResourceID" type="int" value="" />
    <field from="CertificateType" to="CertificateType" type="string" value="" />


    <field from="CertOrginalCardID" to="CertOrginalCardID" type="string" value="" />
    <field from="CertOriginDescribe" to="CertOriginDescribe" type="string" value="" />
    <field from="CertOriginID" to="CertOriginID" type="string" value="" />
    <field from="CertificateOrgan" to="CertificateOrgan" type="string" value="" />
    <field from="CertOriginType" to="CertOriginType" type="string" value="" />

    <field from="MifareCardID" to="MifareCardID" type="string" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="BeginTm" to="BeginTm" type="long" value="" />
    <field from="ClientID" to="ClientID" type="string" value="" />
    <field from="Prepay" to="Prepay" type="long" value="" />

    <field from="DiscountType" to="DiscountType" type="int" value="" />
    <field from="ChargeType" to="ChargeType" type="int" value="" />
    <field from="PaymentType" to="PaymentType" type="int" value=""/>
    <field from="TimerType" to="TimerType" type="int" value="" />
    <field from="TimerTime" to="TimerTime" type="long" value="" />

    <field from="IsTimerDealed" to="IsTimerDealed" type="int" value="" />
    <field from="IsTimerAlerted" to="IsTimerAlerted" type="int" value="" />
    <field from="IsTimerOver" to="IsTimerOver" type="int" value="" />
    <field from="IsRegistered" to="IsRegistered" type="int" value="" />
    <field from="IsAllowToFreeze" to="IsAllowToFreeze" type="int" value="" />

    <field from="UseMode" to="UseMode" type="int" value="" />
    <field from="IsAllowInternet" to="IsAllowInternet" type="int" value="" />
    <field from="LocalDealID" to="LocalDealID" type="int" value="" />
    <field from="CenterDealID" to="CenterDealID" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="ClientMode" to="ClientMode" type="int" value="" />
    <field from="FixedTmPay" to="FixedTmPay" type="long" value="" />
    <field from="UserType" to="UserType" type="int" value="" />
    <field from="Remain" to="Remain" type="long" value="" />

    <field from="RawDigitalCertLength" to="RawDigitalCertLength" type="int" value="" />
    <field from="TreasureLength" to="TreasureLength" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="IsLocalMember" to="IsLocalMember" type="int" value="" />
    <field from="UserFlag" to="UserFlag" type="int" value="" />

    <field from="TempPswd" to="TempPswd " type="string" value="" />
    <field from="OtherFee" to="OtherFee" type="long" value="" />
  </step>

  <step name="cur_userinfo" source_table="cur_userinfo"  target_table="cur_userinfo" clear_target="true" output="file">
    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="NightResvTM" to="NightResvTM" type="int" value="" />
    <field from="NightResvAmount" to="NightResvAmount" type="long" value="" />
    <field from="IsLowestFeeAllowed" to="IsLowestFeeAllowed" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />

    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
  </step>

  <step name="hst_cashserial" source_table="hst_cashserial"  target_table="hst_cashserial" clear_target="true" output="file">
    <field from="Tm" to="Tm" type="long" value="" />
    <field from="Amount" to="Amount" type="long" value="" />
    <field from="LocalDealID" to="LocalDealID" type="int" value="" />
    <field from="Console" to="Console" type="string" value="" />
    <field from="Operator" to="Operator" type="string" value="" />

    <field from="ID" to="ID" type="int" value="" />
    <field from="DutyID" to="DutyID" type="int" value="" />
    <field from="Summary" to="Summary" type="int" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>

  <step name="hst_dealrecord" source_table="hst_dealrecord"  target_table="hst_dealrecord" clear_target="true" output="file">
    <field from="Console" to="Console" type="string" value="" />
    <field from="LocalDealID" to="LocalDealID" type="int" value="" />
    <field from="Operator" to="Operator" type="string" value="" />
    <field from="DutyID" to="DutyID" type="int" value="" />
    <field from="UserUniqueID" to="UserUniqueID" type="string" value="" />

    <field from="DisposeTm" to="DisposeTm" type="long" value="" />
    <field from="EndTm" to="EndTm" type="long" value="" />
    <field from="StartTm" to="StartTm" type="long" value="" />
    <field from="Prepay" to="Prepay" type="long" value="" />
    <field from="Amount" to="Amount" type="long" value="" />

    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="ProviderUniqueID" to="ProviderUniqueID" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="BizType" to="BizType" type="int" value="" />
    <field from="DealType" to="DealType" type="int" value="" />

    <field from="CenterDealID" to="CenterDealID" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="OtherFee" to="OtherFee" type="long" value="" />
    <field from="CurDealID" to="CurDealID" type="int" value="" />
  </step>

  <step name="hst_discountrsvconsume"  source_table="hst_discountrsvconsume"  target_table="hst_discountrsvconsume" clear_target="true"  output="file">
    <field from="BizUsePCID" to="BizUsePCID" type="int" value="" />
    <field from="ID" to="ID" type="int" value="" />
    <field from="Minutes" to="Minutes" type="int" value="" />
    <field from="Amount" to="Amount" type="long" value="" />
    <field from="LocalDiscountType" to="LocalDiscountType" type="int" value="" />

    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />

  </step>

  <step name="hst_duty" source_table="hst_duty"  target_table="hst_duty" clear_target="true" output="file">
    <field from="DutyID" to="DutyID" type="int" value="" />
    <field from="Console" to="Console" type="string" value="" />
    <field from="Operator" to="Operator" type="string" value="" />
    <field from="DutyName" to="DutyName" type="string" value="" />
    <field from="DutyDate" to="DutyDate" type="long" value="" />

    <field from="BeginTm" to="BeginTm" type="long" value="" />
    <field from="EndTm" to="EndTm" type="long" value="" />
    <field from="CheckResultMoney" to="CheckResultMoney" type="long" value="" />
    <field from="ThisTermRemainMoney" to="ThisTermRemainMoney" type="long" value="" />
    <field from="ThisTermTurnInMoney" to="ThisTermTurnInMoney" type="long" value="" />

    <field from="ThisTermInputMoney" to="ThisTermInputMoney" type="long" value="" />
    <field from="ThisTermOutputMoney" to="ThisTermOutputMoney" type="long" value="" />
    <field from="LastTermRemainMoney" to="LastTermRemainMoney" type="long" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />

    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="Status" to="Status" type="int" value="" />
  </step>

  <step name="hst_duty_detail" source_table="hst_duty_detail"  target_table="hst_duty_detail" clear_target="true" output="file">

    <field from="DutyDetailID" to="DutyDetailID" type="long" value="" />
    <field from="Operator" to="Operator" type="string" value="" />
    <field from="Console" to="Console" type="string" value="" />
    <field from="CheckResultMoney" to="CheckResultMoney" type="long" value="" />
    <field from="ThisTermRemainMoney" to="ThisTermRemainMoney" type="long" value="" />

    <field from="ThisTermTurnInMoney" to="ThisTermTurnInMoney" type="long" value="" />
    <field from="ThisTermInputMoney" to="ThisTermInputMoney" type="long" value="" />
    <field from="ThisTermOutputMoney" to="ThisTermOutputMoney" type="long" value="" />
    <field from="LastTermRemainMoney" to="LastTermRemainMoney" type="long" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="DutyID" to="DutyID" type="int" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />

  </step>

  <step name="hst_event" source_table="hst_event"  target_table="hst_event" clear_target="true" output="file">
    <field from="ID" to="ID" type="int" value="" />
    <field from="Description" to="Description" type="string" value="" />
    <field from="DutyID" to="DutyID" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />

    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="Level" to="Level" type="int" value="" />
    <field from="EventType" to="EventType" type="int" value="" />
    <field from="EventID" to="EventID" type="int" value="" />
    <field from="Data" to="Data" type="longVarchar" value="" />

    <field from="Source" to="Source" type="string" value="" />
    <field from="Category" to="Category" type="int" value="" />
    <field from="Warning" to="Warning" type="int" value="" />

  </step>

  <step name="hst_messageinfo" source_table="hst_messageinfo"  target_table="hst_messageinfo" clear_target="true" output="file">
    <field from="ID" to="ID" type="int" value="" />
    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="ClientID" to="ClientID" type="string" value="" />
    <field from="Content" to="Content" type="string" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />

    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="MessageType" to="MessageType" type="int" value="" />
    <field from="Console" to="Console" type="string" value="" />
  </step>

  <step name="hst_nonpayment" source_table="hst_nonpayment"  target_table="hst_nonpayment" clear_target="true" output="file">
    <field from="ID" to="ID" type="int" value="" />
    <field from="DutyID" to="DutyID" type="int" value="" />
    <field from="Prepay" to="Prepay" type="long" value="" />
    <field from="CashConsume" to="CashConsume" type="long" value="" />
    <field from="RemainCash" to="RemainCash" type="long" value="" />

    <field from="RsvConsume" to="RsvConsume" type="long" value="" />
    <field from="DiscountRsvConsume" to="DiscountRsvConsume" type="long" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>

  <step name="hst_paymentrequestrecord" source_table="hst_paymentrequestrecord"  target_table="hst_paymentrequestrecord" clear_target="true"
  output="file">

  <field from="LocalDealID" to="LocalDealID" type="int" value="" />
  <field from="Content" to="Content" type="blob" value="" />
  <field from="ID" to="ID" type="int" value="" />
  <field from="Reserve1" to="Reserve1" type="string" value="" />
  <field from="Reserve2" to="Reserve2" type="int" value="" />

  <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  <field from="CenterDealID" to="CenterDealID" type="int" value="" />
  </step>

  <step name="hst_usehistory" source_table="hst_usehistory"  target_table="hst_usehistory" clear_target="true" output="file">
    <field from="BizUsePCID" to="BizUsePCID" type="int" value="" />
    <field from="Level" to="Level" type="string" value="" />
    <field from="ID" to="ID" type="int" value="" />
    <field from="BeginTm" to="BeginTm" type="long" value="" />
    <field from="EndTm" to="EndTm" type="long" value="" />

    <field from="ClientID" to="ClientID" type="string" value="" />
    <field from="ClientType" to="ClientType" type="string" value="" />
    <field from="IPAddr" to="IPAddr" type="string" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />

    <field from="ClientMode" to="ClientMode" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="hst_usepcbiz" source_table="hst_usepcbiz"  target_table="hst_usepcbiz" clear_target="true" output="file">

    <field from="BizUsePCID" to="BizUsePCID" type="int" value="" />
    <field from="LocalDealID" to="LocalDealID" type="int" value="" />
    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="BeginTm" to="BeginTm" type="long" value="" />
    <field from="EndTm" to="EndTm" type="long" value="" />

    <field from="Prepay" to="Prepay" type="long" value="" />
    <field from="UserType" to="UserType" type="int" value="" />
    <field from="FieldName" to="FieldName" type="int" value="" />
    <field from="DiscountType" to="DiscountType" type="int" value="" />
    <field from="ChargeType" to="ChargeType" type="int" value="" />

    <field from="PaymentType" to="PaymentType" type="int" value="" />
    <field from="TimerType" to="TimerType" type="int" value="" />
    <field from="TimerTime" to="TimerTime" type="long" value="" />
    <field from="PaymentAmount" to="PaymentAmount" type="long" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="DutyID" to="DutyID" type="int" value="" />
    <field from="Consume" to="Consume" type="long" value="" />
    <field from="RealName" to="RealName" type="string" value="" />

    <field from="CertificateID" to="CertificateID" type="string" value="" />
    <field from="CertificateType" to="CertificateType" type="string" value="" />
    <field from="CertificateOrgan" to="CertificateOrgan" type="string" value="" />
    <field from="Company" to="Company" type="string" value="" />
    <field from="Country" to="Country" type="string" value="" />

    <field from="Location" to="Location" type="string" value="" />
    <field from="CertOriginID" to="CertOriginID" type="string" value="" />
  </step>


  <step name="hst_workingstatusdata" source_table="hst_workingstatusdata"  target_table="hst_workingstatusdata" clear_target="true"  output="file">

    <field from="ID" to="ID" type="int" value="" />
    <field from="Type" to="Type" type="int" value="" />
    <field from="Value" to="Value" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="Reserve2" to="Reserve2" type="int" value="" />
  </step>


  <step name="mem_additionalinfo" source_table="mem_additionalinfo" target_table="mem_additionalinfo"  clear_target="true" output="file">

    <field from="ID" to="ID" type="int" value="" />
    <field from="Photo" to="Photo" type="blob" value="" />
    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="Fingerprint" to="Fingerprint" type="blob" value="" />
    <field from="FingerprintUpdateTm" to="FingerprintUpdateTm" type="long" value="" />

    <field from="PhotoUpdateTm" to="PhotoUpdateTm" type="long" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="mem_event" source_table="mem_event"  target_table="mem_event" clear_target="true" output="file">
    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="ID" to="ID" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />

    <field from="LocalDealID" to="LocalDealID" type="int" value="" />
    <field from="Console" to="Console" type="string" value="" />
    <field from="Content" to="Content" type="longVarchar" value="" />
    <field from="EventType" to="EventType" type="int" value="" />
    <field from="Operator" to="Operator" type="string" value="" />
  </step>


  <step name="mem_localdiscountaccount" source_table="mem_localdiscountaccount"  target_table="mem_localdiscountaccount" clear_target="true"  output="file">
    <field from="DiscountType" to="DiscountType" type="int" value="" />
    <field from="FixedDaysValidTm" to="FixedDaysValidTm" type="long" value="" />
    <field from="DiscountRsvBalance" to="DiscountRsvBalance" type="long" value="" />
    <field from="DiscountTmMinutes" to="DiscountTmMinutes" type="long" value="" />
    <field from="UniqueID" to="UniqueID" type="string" value="" />

    <field from="ID" to="ID" type="int" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="mem_localmemberbaseinfo" source_table="mem_localmemberbaseinfo"  target_table="mem_localmemberbaseinfo" clear_target="true"  output="file">
    <field from="Level" to="Level" type="string" value="" />
    <field from="RealName" to="RealName" type="string" value="" />
    <field from="NickName" to="NickName" type="string" value="" />
    <field from="Balance" to="Balance" type="long" value="" />
    <field from="Score" to="Score" type="long" value="" />

    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="Location" to="Location" type="string" value="" />
    <field from="CertificateID" to="CertificateID" type="string" value="" />
    <field from="Sex" to="Sex" type="int" value="" />
    <field from="Birthday" to="Birthday" type="long" value="" />

    <field from="Company" to="Company" type="string" value="" />
    <field from="Country" to="Country" type="string" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Password" to="Password" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />

    <field from="ValidTm" to="ValidTm" type="long" value="" />
    <field from="OpenTm" to="OpenTm" type="long" value="" />
    <field from="CertificateType" to="CertificateType" type="string" value="" />
    <field from="CertOrginalCardID" to="CertOrginalCardID" type="string" value="" />
    <field from="CertOriginDescribe" to="CertOriginDescribe" type="string" value="" />

    <field from="CertificateOrgan" to="CertificateOrgan" type="string" value="" />
    <field from="MifareCardID" to="MifareCardID" type="string" value="" />
    <field from="CertOriginID" to="CertOriginID" type="string" value="" />
    <field from="IsLostCard" to="IsLostCard" type="int" value="" />
    <field from="CertOriginType" to="CertOriginType" type="string" value="" />

    <field from="AuthorizationType" to="AuthorizationType" type="int" value="" />
    <field from="MobilePhone" to="MobilePhone" type="string" value="" />
    <field from="ID" to="ID" type="int" value="" />
    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="Email" to="Email" type="string" value="" />

    <field from="Remark" to="Remark" type="string" value="" />
    <field from="RemainScore" to="RemainScore" type="long" value="" />
    <field from="IsLocalMember" to="IsLocalMember" type="int" value="" />
    <field from="TotalBounty" to="TotalBounty" type="long" value="" />
  </step>


  <step name="pc_layout" source_table="pc_layout"  target_table="pc_layout" clear_target="true" output="file">

    <field from="ID" to="ID" type="int" value="" />
    <field from="Name" to="Name" type="string" value="" />
    <field from="Content" to="Content" type="longVarchar" value="" />
    <field from="Creator" to="Creator" type="string" value="" />
    <field from="CreateTime" to="CreateTime" type="long" value="" />

    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="Reserve1" to="Reserve1" type="int" value="" />
    <field from="Reserve2" to="Reserve2" type="string" value="" />
    <field from="State" to="State" type="int" value="" />
    <field from="BackgroundImg" to="BackgroundImg" type="blob" value="" />

    <field from="BackgroundType" to="BackgroundType" type="string" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
  </step>


  <step name="pc_layout_access" source_table="pc_layout_access"  target_table="pc_layout_access" clear_target="true" output="file">
    <field from="ID" to="ID" type="int" value="" />
    <field from="LayoutID" to="LayoutID" type="int" value="" />
    <field from="AccessIdentity" to="AccessIdentity" type="string" value="" />
    <field from="Reserve1" to="Reserve1" type="int" value="" />
    <field from="Reserve2" to="Reserve2" type="string" value="" />

    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="pc_layout_global" source_table="pc_layout_global"  target_table="pc_layout_global" clear_target="true" output="file">

    <field from="ID" to="ID" type="int" value="" />
    <field from="PropertyType" to="PropertyType" type="int" value="" />
    <field from="PropertyName" to="PropertyName" type="string" value="" />
    <field from="Content" to="Content" type="blob" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />

    <field from="Reserve1" to="Reserve1" type="int" value="" />
    <field from="Reserve2" to="Reserve2" type="string" value="" />
  </step>


  <step name="prod_category" source_table="prod_category"  target_table="prod_category" clear_target="true" output="file">

    <field from="CategoryID" to="CategoryID" type="int" value="" />
    <field from="CategoryName" to="CategoryName" type="string" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="Enabled" to="Enabled" type="int" value="" />
    <field from="CreateTm" to="CreateTm" type="long" value="" />

    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>

  <step name="prod_inputrecord" source_table="prod_inputrecord"  target_table="prod_inputrecord" clear_target="true" output="file">
    <field from="InputRecordID" to="InputRecordID" type="int" value="" />
    <field from="Operator" to="Operator" type="int" value="" />
    <field from="OperatorName" to="OperatorName" type="string" value="" />
    <field from="ProductID" to="ProductID" type="int" value="" />
    <field from="ProductCode" to="ProductCode" type="string" value="" />

    <field from="ProductName" to="ProductName" type="string" value="" />
    <field from="Buyer" to="Buyer" type="string" value="" />
    <field from="InputTm" to="InputTm" type="long" value="" />
    <field from="CreateTm" to="CreateTm" type="long" value="" />
    <field from="Quantity" to="Quantity" type="int" value="" />

    <field from="Cost" to="Cost" type="long" value="" />
    <field from="Amount" to="Amount" type="long" value="" />
    <field from="OtherFee" to="OtherFee" type="long" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="VendorID" to="VendorID" type="int" value="" />

    <field from="VendorName" to="VendorName" type="string" value="" />
    <field from="Settled" to="Settled" type="int" value="" />
    <field from="SettleTm" to="SettleTm" type="long" value="" />
    <field from="RecordType" to="RecordType" type="int" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>



  <step name="prod_invcheck" source_table="prod_invcheck"  target_table="prod_invcheck" clear_target="true" output="file">

    <field from="InvCheckID" to="InvCheckID" type="int" value="" />
    <field from="Operator" to="Operator" type="string" value="" />
    <field from="CreateTm" to="CreateTm" type="long" value="" />
    <field from="CheckTm" to="CheckTm" type="long" value="" />
    <field from="Checker" to="Checker" type="string" value="" />

    <field from="Remark" to="Remark" type="string" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>



  <step name="prod_invcheckdetail"  source_table="prod_invcheckdetail" target_table="prod_invcheckdetail"  clear_target="true" output="file">
    <field from="InvCheckDetailID" to="InvCheckDetailID" type="int" value="" />
    <field from="InvCheckID" to="InvCheckID" type="int" value="" />
    <field from="ProductID" to="ProductID" type="int" value="" />
    <field from="productCode" to="productCode" type="string" value="" />
    <field from="productName" to="productName" type="string" value="" />

    <field from="OrigInventory" to="OrigInventory" type="int" value="" />
    <field from="CheckResult" to="CheckResult" type="int" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="CreateTm" to="CreateTm" type="long" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="prod_inventory" source_table="prod_inventory"  target_table="prod_inventory" clear_target="true" output="file">
    <field from="ProductID" to="ProductID" type="int" value="" />
    <field from="Quantity" to="Quantity" type="int" value="" />
    <field from="AvgCost" to="AvgCost" type="long" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>

  <step name="prod_product" source_table="prod_product"  target_table="prod_product" clear_target="true" output="file">
    <field from="ProductID" to="ProductID" type="int" value="" />
    <field from="CategoryID" to="CategoryID" type="int" value="" />
    <field from="ProductName" to="ProductName" type="string" value="" />
    <field from="ProductCode" to="productCode" type="string" value="" />
    <field from="Specs" to="Specs" type="string" value="" />

    <field from="Unit" to="Unit" type="string" value="" />
    <field from="MinInventory" to="MinInventory" type="int" value="" />
    <field from="Enabled" to="Enabled" type="int" value="" />
    <field from="CreateTm" to="CreateTm" type="long" value="" />
    <field from="SalePrice" to="SalePrice" type="long" value="" />

    <field from="Remark" to="Remark" type="string" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="prod_shipment" source_table="prod_shipment"  target_table="prod_shipment" clear_target="true" output="file">
    <field from="ShipmentID" to="ShipmentID" type="int"  value="" />
    <field from="Operator" to="Operator" type="int" value="" />
    <field from="OperatorName" to="OperatorName" type="string" value="" />
    <field from="CreateTm" to="CreateTm" type="long" value="" />
    <field from="ShipmentType" to="ShipmentType" type="int" value="" />

    <field from="LocalDealID" to="LocalDealID" type="int" value="" />
    <field from="DutyID" to="DutyID" type="int" value="" />
    <field from="ShipmentTm" to="ShipmentTm" type="long" value="" />
    <field from="Customer" to="Customer" type="string" value="" />
    <field from="ActualAmount" to="ActualAmount" type="long" value="" />

    <field from="Amount" to="Amount" type="long" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="UpdateInventory" to="UpdateInventory" type="int" value="" />
    <field from="Settled" to="Settled" type="int" value="" />
    <field from="PayMethod" to="PayMethod" type="int" value="" />

    <field from="SettleTm" to="SettleTm" type="long" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="prod_shipmentdetail"  source_table="prod_shipmentdetail" target_table="prod_shipmentdetail"  clear_target="true" output="file">

    <field from="ShipmentID" to="ShipmentID" type="int" value="" />
    <field from="ShipmentDetailID" to="ShipmentDetailID" type="int" value="" />
    <field from="ProductID" to="ProductID" type="int" value="" />
    <field from="ProductCode" to="ProductCode" type="string" value="" />
    <field from="ProductName" to="ProductName" type="string" value="" />

    <field from="Quantity" to="Quantity" type="int" value="" />
    <field from="Price" to="Price" type="long" value="" />
    <field from="Cost" to="Cost" type="long" value="" />
    <field from="CreateTm" to="CreateTm" type="long" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="prod_vendor" source_table="prod_vendor"  target_table="prod_vendor" clear_target="true" output="file">

    <field from="VendorID" to="VendorID" type="int" value="" />
    <field from="VendorName" to="VendorName" type="string" value="" />
    <field from="Telephone" to="Telephone" type="string" value="" />
    <field from="ContactMan" to="ContactMan" type="string" value="" />
    <field from="Address" to="Address" type="string" value="" />

    <field from="CreateTm" to="CreateTm" type="long" value="" />
    <field from="Enabled" to="Enabled" type="int" value="" />
    <field from="ZipCode" to="ZipCode" type="string" value="" />
    <field from="Remark" to="Remark" type="string" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
  </step>


  <step name="realname_card" source_table="realname_card"  target_table="realname_card" clear_target="true" output="file">
    <field from="InnerCardID" to="InnerCardID" type="string" value="" />
    <field from="PrintID" to="PrintID" type="string" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />
    <field from="Reserve2" to="Reserve2" type="int" value="" />

  </step>

  <step name="realname_frequenter" source_table="realname_frequenter"  target_table="realname_frequenter" clear_target="true" output="file">
    <field from="RealName" to="RealName" type="string" value="" />
    <field from="NickName" to="NickName" type="string" value="" />
    <field from="UpdateTm" to="UpdateTm" type="long" value="" />
    <field from="Location" to="Location" type="string" value="" />
    <field from="CertificateID" to="CertificateID" type="string" value="" />

    <field from="Sex" to="Sex" type="int" value="" />
    <field from="Birthday" to="Birthday" type="long" value="" />
    <field from="Company" to="Company" type="string" value="" />
    <field from="Country" to="Country" type="string" value="" />
    <field from="Reserve1" to="Reserve1" type="string" value="" />

    <field from="Reserve2" to="Reserve2" type="int" value="" />
    <field from="OpenTm" to="OpenTm" type="long" value="" />
    <field from="CertificateType" to="CertificateType" type="string" value="" />
    <field from="CertOrginalCardID" to="CertOrginalCardID" type="string" value="" />
    <field from="CertOriginDescribe" to="CertOriginDescribe" type="string" value="" />

    <field from="CertificateOrgan" to="CertificateOrgan" type="string" value="" />
    <field from="MifareCardID" to="MifareCardID" type="string" value="" />
    <field from="CertOriginID" to="CertOriginID" type="string" value="" />
    <field from="CertOriginType" to="CertOriginType" type="string" value="" />
    <field from="MobilePhone" to="MobilePhone" type="string" value="" />

    <field from="UniqueID" to="UniqueID" type="string" value="" />
    <field from="Email" to="Email" type="string" value="" />
    <field from="Remark" to="Remark" type="string" value="" />

  </step>

  <step name="sequence" source_table="sequence"  target_table="sequence" clear_target="true" output="file">
    <field from="ID" to="ID" type="int" value="" />
    <field from="IDType" to="IDType" type="int" value="" />
  </step>

  </steps>
</migration>
